%define        plugindir    %{_libdir}/ladspa
%define        srcname      ladspa-%{version}

Name:          ladspa-plugins-swh
Version:       0.4.17
Release:       %mkrel 1
Summary:       Audio plugins for LADSPA
License:       GPLv2  
Group:         Sound

URL:           http://plugin.org.uk
Source0:       %{srcname}.tar.xz
Patch0:        ladspa-plugins-swh-0.4.17-cflags.patch
Patch1:        ladspa-plugins-swh-0.4.17-docs.patch

BuildRequires: ladspa-devel
BuildRequires: fftw-devel
BuildRequires: gettext
BuildRequires: latex
BuildRequires: texlive-dist
BuildRequires: ghostscript-common
BuildRequires: gettext-devel
BuildRequires: libxml2-utils

Requires:      ladspa
Provides:      ladspa-swh = %{version}-%{release}

%description
The Steve Harris' LADSPA Plugins provide more than a hundred of
high-end audio plugins for the Linux Audio Developers Simple Plugin
Architecture that allow various audio processing within any program
using the LADSPA library. For instance, they allow to perform audio
aliasing, adding delay line, changing the pitch, interpolating,
amplifying, generating an analogic oscillator, filtering...

%prep
%setup -q -n %{srcname}
%apply_patches

%build
autoreconf -fi

%configure2_5x --disable-rpath --disable-static
%make_build
pushd docs
%make_build ladspa-swh.pdf
popd

%install
pushd .libs
%__install -d %{buildroot}%{plugindir} 
%__install -m 755 -t %{buildroot}%{plugindir} *.so
popd
pushd docs
%__install -D -m 644 ladspa-swh.dvi %{buildroot}%{_docdir}/%{name}/ladspa-swh.dvi
%__install -D -m 644 ladspa-swh.ps %{buildroot}%{_docdir}/%{name}/ladspa-swh.ps
%__install -D -m 644 ladspa-swh.pdf %{buildroot}%{_docdir}/%{name}/ladspa-swh.pdf
%__install -D -m 644 ladspa-swh.tex %{buildroot}%{_docdir}/%{name}/ladspa-swh.tex
popd

%files
%doc README AUTHORS TODO COPYING
%{_docdir}/%{name}/*
%dir %{plugindir}
%{plugindir}/*.so


%changelog
* Mon Apr 16 2018 bb2 <bb2> - 0.4.17-1pclos2018
- new version
